{
  "name": "@icqqjs/icqq",
  "version": "1.3.2",
  "upday": "2024/9/26",
  "description": "QQ protocol for NodeJS!",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "scripts": {
    "build": "tsc && tsc-alias && cp -r src/core/protobuf/*.min.* lib/core/protobuf",
    "build_": "tsc && tsc-alias && copy .\\src\\core\\protobuf\\*.min.* lib\\core\\protobuf",
    "lint": "prettier --check ./**/*.{ts,js,vue}",
    "lint:fix": "prettier --write ./**/*.{ts,js,vue,md}",
    "docs": "typedoc src/index.ts",
    "dev": "ts-node src/test.ts",
    "pub": "npm publish",
    "clean": "rm -rf lib"
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org"
  },
  "engines": {
    "node": ">= v14"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/icqqjs/icqq.git"
  },
  "keywords": [
    "qq",
    "icqq",
    "protocol",
    "android",
    "bot",
    "coolq"
  ],
  "author": "icqqjs",
  "license": "MPL-2.0",
  "bugs": "https://github.com/icqqjs/icqq/issues",
  "homepage": "https://github.com/icqqjs/icqq#readme",
  "changelogs": "https://github.com/icqqjs/icqq/blob/main/CHANGELOG.md",
  "dependencies": {
    "@icqqjs/icqq": "file:",
    "axios": "^1.6.7",
    "log4js": "^6.9.1",
    "long": "^5.2.3",
    "pngjs": "^7.0.0",
    "probe-image-size": "^7.2.3",
    "silk-wasm": "^3.2.3",
    "triptrap": "^0.0.17"
  },
  "devDependencies": {
    "@types/node": "^20.11.19",
    "@types/pngjs": "^6.0.4",
    "@types/probe-image-size": "^7.2.4",
    "@types/ws": "^8.5.10",
    "prettier": "^3.2.5",
    "protobufjs": "^7.2.6",
    "tsc-alias": "^1.8.8",
    "typedoc": "^0.26.3",
    "ws": "^8.16.0"
  },
  "files": [
    "/lib/**/*.js",
    "/lib/**/*.d.ts",
    "/LICENSE",
    "/README.md"
  ]
}
